Bug 823558

Summary: [as7] check that server's basedir has not changed since discovery needs to be added to server components' start() method
Product: [Other] RHQ Project Reporter: Ian Springer <ian.springer>
Component: PluginsAssignee: Charles Crouch <ccrouch>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.4CC: ccrouch, hbrock, hrupp
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 824019 (view as bug list) Environment:
Last Closed: 2013-09-01 06:10:00 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 707223, 824019    

Description Ian Springer 2012-05-21 10:23:32 EDT
This check is important, because the basedir is the resource key, and so if that changes, it's no longer the same server Resource, and start() should throw a InvalidPluginConfigurationException, which will result in a yellow triangle in the GUI.

We have such a check in the as4 and as5 plugins.

We should also move the launch-type and product-name checks that are currently in getAvailablity() to start().
Comment 1 Ian Springer 2012-05-21 12:15:12 EDT
Fixed in master:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=bf140eb
Comment 2 Ian Springer 2012-05-21 13:15:06 EDT
Adding a fix to the original fix - getAvailability() now throws InvalidPluginConfigurationException when validation of server attributes fails...

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=6c34875
Comment 3 Ian Springer 2012-05-21 13:42:06 EDT
Adding another fix to the original fix - start() now initializes this.connection before calling getAvailability()...

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=569f716
Comment 4 Ian Springer 2012-05-22 18:38:56 EDT
Adding itests that test the server attribute validation that is now done in BaseServerComponent.start(), and make sure to null out this.lastAvail in BaseServerComponent.stop() so the attribute validation is guaranteed to happen during a component restart:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=ad96a11
Comment 7 Heiko W. Rupp 2013-09-01 06:10:00 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.